tigase.jaxmpp.core.client.xmpp.modules.auth

## Class NonSaslAuthModule.NonSaslAuthSuccessHandler.NonSaslAuthSuccessEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<NonSaslAuthModule.NonSaslAuthSuccessHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.auth.NonSaslAuthModule.NonSaslAuthSuccessHandler.NonSaslAuthSuccessEvent

- Enclosing interface:
    NonSaslAuthModule.NonSaslAuthSuccessHandler

      public static class NonSaslAuthModule.NonSaslAuthSuccessHandler.NonSaslAuthSuccessEvent
      extends JaxmppEvent<NonSaslAuthModule.NonSaslAuthSuccessHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonSaslAuthSuccessEvent(SessionObject sessionObject)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(NonSaslAuthModule.NonSaslAuthSuccessHandler handler)` Invokes handlers method.

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NonSaslAuthSuccessEvent

          public NonSaslAuthSuccessEvent(SessionObject sessionObject)

  - ### Method Detail

    - #### dispatch

          public void dispatch(NonSaslAuthModule.NonSaslAuthSuccessHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<NonSaslAuthModule.NonSaslAuthSuccessHandler>`
      Parameters:
        `handler` - handler

Copyright © 2006–2020 Tigase. All rights reserved.